package eventmodels

// 用户信息更新事件
type UserUpdateInfoEventContent struct {
	UserBasic
	EventBasic
	UserName    string `json:"user_name"`   // 用户昵称
	TgId        string `json:"tg_id"`       // 绑定tgid
	XId         string `json:"x_id"`        // 绑定推特ID
	TonWall     string `json:"ton_wall"`    // 绑定钱包地址
	Fingerprint string `json:"fingerprint"` // 绑定指纹数据
	Email       string `json:"email"`       // 邮箱
	Mobile      string `json:"mobile"`      // 手机号
	Avatar      string `json:"avatar"`      // 头像
	Birthday    string `json:"birthday"`    // 生日
	Password    string `json:"password"`    // 账户密码 仅记录该操作，不记录内容
	Salt        string `json:"salt"`        // 密码盐 仅记录该操作，不记录内容
	IsLeader    bool   `json:"is_leader"`   // 是否是社区长
	IsVip       bool   `json:"is_vip"`      // 是否为VIP
	Level       int    `json:"level"`       // 等级
	Exp         int    `json:"exp"`         // 经验
	Gender      int    `json:"gender"`      // 性别
}

func (e *UserUpdateInfoEventContent) EventName() string {
	return "UserUpdateInfo"
}
